agreements
Updates an agreement
PUT
/
api
/
agreements
/
{id}
Updates an agreement
curl --request PUT \
--url https://api.fluid.app/api/agreements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreement": {
"title": "<string>",
"description": "<string>",
"show_at_checkout": true,
"default_checked": true,
"enrollment_pack_id": 123,
"attachments_attributes": [
{
"url": "<string>",
"filename": "<string>",
"kind": "<string>",
"content_type": "<string>",
"content_size": 123,
"metadata": {}
}
]
}
}
'import requests
url = "https://api.fluid.app/api/agreements/{id}"
payload = { "agreement": {
"title": "<string>",
"description": "<string>",
"show_at_checkout": True,
"default_checked": True,
"enrollment_pack_id": 123,
"attachments_attributes": [
{
"url": "<string>",
"filename": "<string>",
"kind": "<string>",
"content_type": "<string>",
"content_size": 123,
"metadata": {}
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agreement: {
title: '<string>',
description: '<string>',
show_at_checkout: true,
default_checked: true,
enrollment_pack_id: 123,
attachments_attributes: [
{
url: '<string>',
filename: '<string>',
kind: '<string>',
content_type: '<string>',
content_size: 123,
metadata: {}
}
]
}
})
};
fetch('https://api.fluid.app/api/agreements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agreement": {
"id": 123,
"title": "<string>",
"active": true,
"show_at_checkout": true,
"default_checked": true,
"required_on_checkout": true,
"company_country_ids": [
"<string>"
],
"description": "<string>",
"show_path": "<string>",
"language_iso": "<string>",
"required": true,
"enrollment_pack_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"company_logo": "<string>",
"attachments": [
{
"id": 123,
"url": "<string>",
"filename": "<string>",
"content_type": "<string>",
"content_size": 123,
"kind": "<string>",
"metadata": {}
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "<string>"
}
}Authorizations
Bearer token authentication
Headers
Path Parameters
Query Parameters
Body
application/json
Request payload
Show child attributes
Show child attributes
⌘I
Updates an agreement
